﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/09/2018 20:14:27
-- Server version: 5.5.5-10.1.9-MariaDB
-- Client version: 4.1

--
-- Definition for database p1m32018
--
DROP DATABASE IF EXISTS p1m32018;
CREATE DATABASE IF NOT EXISTS p1m32018
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE p1m32018;

--
-- Definition for table autores
--
CREATE TABLE IF NOT EXISTS autores (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(255) DEFAULT NULL,
  apellidos varchar(255) DEFAULT NULL,
  direccion varchar(255) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  foto varchar(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 5
AVG_ROW_LENGTH = 4096
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Definition for table libros
--
CREATE TABLE IF NOT EXISTS libros (
  id int(11) NOT NULL,
  titulo varchar(255) NOT NULL,
  paginas int(11) DEFAULT NULL,
  portada varchar(255) DEFAULT NULL,
  sinopsis text DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AVG_ROW_LENGTH = 4096
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
(1, 'Ramon', 'Abramo', 'pasaje de peña', '2018-09-06', 'a1.jpg'),
(2, 'Rosa', 'Feijoo', 'Vargas', '2018-09-11', 'a2.jpg'),
(3, 'Luis', 'Gomez', 'Isaac Peral', '2018-09-07', 'a3.jpg'),
(4, 'Pepe', 'Lopez', 'Fernandez', '2017-09-08', 'a4.jpg');

-- 
-- Dumping data for table libros
--
INSERT INTO libros VALUES
(1, 'Libro1', 234, 'p1.jpg', 'Descripcion del libro'),
(2, 'Libro2', 500, 'p2.jpg', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed lobortis odio nec elit tristique auctor. Nunc sapien augue, hendrerit ac eros eget, venenatis ullamcorper ligula. Vestibulum dictum dui id tellus viverra ultricies. Phasellus lectus mi, fringilla id libero nec, condimentum tristique enim. Morbi vitae orci nec nulla vestibulum tempor. In nec ligula fringilla, egestas mauris ut, mattis nisi. Donec laoreet varius enim et pretium.\r\n\r\nIn tempor sapien nec est pretium pretium. In semper quis neque et ullamcorper. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed vel lacus eu arcu aliquet malesuada. Vestibulum iaculis eget urna ut fringilla. Proin aliquet purus at leo fermentum, a finibus risus faucibus. Curabitur sed magna interdum, semper metus in, vulputate quam.\r\n\r\nSed rhoncus neque ut purus dapibus tincidunt. Pellentesque facilisis neque risus, eu viverra nulla fringilla vel. Aenean consectetur lacinia justo sit amet tincidunt. Phasellus venenatis risus lorem, vel iaculis ante efficitur sed. Etiam malesuada purus luctus, vehicula turpis eu, porttitor ligula. Fusce rhoncus, sem nec rutrum finibus, tortor ligula convallis ipsum, sed pharetra urna justo et ante. Integer non maximus neque, eu lacinia metus. Curabitur luctus odio sit amet orci pharetra, vel posuere tellus molestie. Donec a ligula quis est lobortis efficitur. Sed egestas mattis placerat. Aliquam feugiat fringilla justo vel posuere. Praesent varius quam nec eros ultrices, vitae luctus orci rhoncus. Suspendisse sit amet magna justo. Praesent eget eros ut augue dictum cursus eget non lectus. Nunc cursus metus rhoncus, varius mi eget, bibendum massa.'),
(3, 'Libro3', 150, 'p3.jpg', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed lobortis odio nec elit tristique auctor. Nunc sapien augue, hendrerit ac eros eget, venenatis ullamcorper ligula. Vestibulum dictum dui id tellus viverra ultricies. Phasellus lectus mi, fringilla id libero nec, condimentum tristique enim. Morbi vitae orci nec nulla vestibulum tempor. In nec ligula fringilla, egestas mauris ut, mattis nisi. Donec laoreet varius enim et pretium.'),
(4, 'Libro4', 450, 'p4.jpg', 'tempor sapien nec est pretium pretium. In semper quis neque et ullamcorper. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed vel lacus eu arcu aliquet malesuada. Vestibulum iaculis eget urna ut fringilla. Proin aliquet purus at leo fermentum, a finibus risus faucibus. Curabitur sed magna interdum, semper metus in, vulputate quam.');

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;